var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconUploadingWpsComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-uploading-wps").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#FF617E', fillRule: "evenodd", d: "M8 2a4 4 0 0 0-4 4v20a4 4 0 0 0 4 4h16a4 4 0 0 0 4-4V12L18 2H8Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M24.503 14.48a1.001 1.001 0 0 0-.852-.48h-5.013c-.374 0-.717.211-.89.547l-1.706 2.923v4.547l1.099-2.277 2.105-4.082h2.797l-3.38 7.05-1.237-2.678-1.1 2.277 1.477 3.144a1 1 0 0 0 .89.549h.014c.38-.005.724-.227.89-.574l4.767-10.052c.152-.317.323-.595.14-.894Z", opacity: ".9" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "m16.042 17.47-1.1 2.27-1.522 2.969-3.38-7.05h2.798l1.82 3.791 1.099-2.27-1.421-2.633a1.003 1.003 0 0 0-.89-.547H8.431c-.346 0-.669.182-.852.48-.184.3-.013.577.139.894l4.767 10.052c.167.347.51.569.89.574h.014a1 1 0 0 0 .89-.55l1.762-3.433V17.47Z", opacity: ".9" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#FFB0BF', d: "m18 2 10 10h-6a4 4 0 0 1-4-4V2Z" }));
}
var IconUploadingWps = React.forwardRef(IconUploadingWpsComponent);
export default IconUploadingWps;
